> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seekr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List resource deployment events

> Retrieve a paginated list of billing events associated with resource deployments, optionally filtered by resource, user, and time range.



## OpenAPI

````yaml post /v1/flow/billing/resource-deployment-events
openapi: 3.1.0
info:
  title: SeekrFlow API
  description: SeekrFlow API Documentation
  termsOfService: http://www.seekr.com/support
  contact:
    name: Seekr API Support
    url: http://www.seekr.com/contact
    email: contact@seekr.com
  version: 5.99.0
servers:
  - url: https://flow.seekr.com
    description: SeekrBuild server base URL
security: []
paths:
  /v1/flow/billing/resource-deployment-events:
    post:
      tags:
        - Billing
        - Resource Deployment Events
      summary: List resource deployment events
      description: >-
        Retrieve a paginated list of billing events associated with resource
        deployments, optionally filtered by resource, user, and time range.
      operationId: >-
        list_resource_deployment_events_v1_flow_billing_resource_deployment_events_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResourceDeploymentEventsQuery'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResourceDeploymentEventsListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ResourceDeploymentEventsQuery:
      properties:
        event_timestamp_start:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Event Timestamp Start
        event_timestamp_end:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Event Timestamp End
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
        resource_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Resource Id
        limit:
          type: integer
          maximum: 1000
          minimum: 1
          title: Limit
          default: 500
        cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Cursor
        order:
          type: string
          enum:
            - asc
            - desc
          title: Order
          default: asc
      type: object
      title: ResourceDeploymentEventsQuery
    ResourceDeploymentEventsListResponse:
      properties:
        object:
          type: string
          const: list
          title: Object
          default: list
        data:
          items:
            $ref: '#/components/schemas/ResourceDeploymentEventResponse'
          type: array
          title: Data
        event_timestamp_start:
          type: string
          format: date-time
          title: Event Timestamp Start
        event_timestamp_end:
          type: string
          format: date-time
          title: Event Timestamp End
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
        has_more:
          type: boolean
          title: Has More
          default: false
      type: object
      required:
        - event_timestamp_start
        - event_timestamp_end
      title: ResourceDeploymentEventsListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ResourceDeploymentEventResponse:
      properties:
        id:
          type: string
          title: Id
        resource_id:
          type: string
          title: Resource Id
        resource_type:
          type: string
          title: Resource Type
        resource_amount:
          type: integer
          title: Resource Amount
        allocation_type:
          type: string
          title: Allocation Type
        user_id:
          type: string
          title: User Id
        event_timestamp:
          type: string
          format: date-time
          title: Event Timestamp
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - resource_id
        - resource_type
        - resource_amount
        - allocation_type
        - user_id
        - event_timestamp
        - created_at
      title: ResourceDeploymentEventResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````